2019-03-26 04:54 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002567NetSurfWin32-specificpublic2018-08-29 14:03
ReporterPontus Thor 
Assigned To 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformWindowsOS7 Home PremiumOS Version7601 SP1
Product Version3.7 
Target Version3.8Fixed in Version3.8 
Summary0002567: Netsurf crashes when started...
DescriptionAfter starting Netsurf 3.7 the "netsurf.exe has stopped working" message appears after 0.5-1 seconds.
Steps To ReproduceStart netsurf.
Additional InformationJust installed an older release (NetSurf-gcc-4144.exe) on this system, it runs without an issue.

Had the same issue on another computer with the 42xx test builds of netsurf on Windows 10, also there the older releases worked.

Windows crash report attached.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem pageabout:welcome
Attached Files

-Relationships
+Relationships

-Notes
Timo

~0001681

Timo (reporter)

I can reproduce this error. The version which can be downloaded crashes immediately.
Product version : 3.7
Platvorm : Windows
OS : Windows 10 Pro
OS Version : 15063.674

The test build netsurf 3.8 (Dev CI #4234) doesn't crash.
MM

~0001686

MM (reporter)

Current nightly builds work again
Pontus Thor

~0001688

Pontus Thor (reporter)

The latest nightly (Dev CI #4246) works on the machine where I experienced the crash with 3.7. =)
Vincent Sanders

~0001838

Vincent Sanders (administrator)

Thank you for your report, this has been resolved in the 3.8 release
+Notes

-Issue History
Date Modified Username Field Change
2017-10-23 23:33 Pontus Thor New Issue
2017-10-23 23:33 Pontus Thor File Added: crash_report.rar
2017-10-25 18:24 Timo Note Added: 0001681
2017-11-06 03:28 MM Note Added: 0001686
2017-11-06 22:13 Pontus Thor Note Added: 0001688
2018-01-20 18:04 John-Mark Bell Status new => resolved
2018-01-20 18:04 John-Mark Bell Resolution open => fixed
2018-01-20 18:04 John-Mark Bell Fixed in Version => 3.8
2018-01-20 18:04 John-Mark Bell Target Version => 3.8
2018-08-29 14:03 Vincent Sanders Status resolved => closed
2018-08-29 14:03 Vincent Sanders Note Added: 0001838
+Issue History